## org.eclipse.amp.amf.parameters.services
Class AParGrammarAccess.SweepLinkElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
              org.eclipse.amp.amf.parameters.services.AParGrammarAccess.SweepLinkElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess

Enclosing class:
  AParGrammarAccess

    public class AParGrammarAccess.SweepLinkElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`AParGrammarAccess.SweepLinkElements()`

Method Summary
`org.eclipse.xtext.Group` `getGroup()`
`org.eclipse.xtext.Keyword` `getLeftSquareBracketKeyword_1()`
`org.eclipse.xtext.Assignment` `getParametersAssignment_2()`
`org.eclipse.xtext.RuleCall` `getParametersParameterParserRuleCall_2_0()`
`org.eclipse.xtext.Keyword` `getRightSquareBracketKeyword_3()`
`org.eclipse.xtext.ParserRule` `getRule()`
`org.eclipse.xtext.Action` `getSweepLinkAction_0()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
`getRules`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParGrammarAccess.SweepLinkElements

    public AParGrammarAccess.SweepLinkElements()

Method Detail

### getRule

    public org.eclipse.xtext.ParserRule getRule()

### getGroup

    public org.eclipse.xtext.Group getGroup()

### getSweepLinkAction_0

    public org.eclipse.xtext.Action getSweepLinkAction_0()

### getLeftSquareBracketKeyword_1

    public org.eclipse.xtext.Keyword getLeftSquareBracketKeyword_1()

### getParametersAssignment_2

    public org.eclipse.xtext.Assignment getParametersAssignment_2()

### getParametersParameterParserRuleCall_2_0

    public org.eclipse.xtext.RuleCall getParametersParameterParserRuleCall_2_0()

### getRightSquareBracketKeyword_3

    public org.eclipse.xtext.Keyword getRightSquareBracketKeyword_3()